org.apache.lucene.search

## Class FieldCache.CacheEntry

- java.lang.Object
- - org.apache.lucene.search.FieldCache.CacheEntry

- Enclosing interface:
    FieldCache

      public abstract static class FieldCache.CacheEntry
      extends java.lang.Object

  EXPERT: A unique Identifier/Description for each item in the FieldCache. Can be useful for logging/debugging.

  EXPERIMENTAL API: This API is considered extremely advanced and experimental. It may be removed or altered w/o warning in future releases of Lucene.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheEntry()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `estimateSize()`
    `void` | `estimateSize(RamUsageEstimator ramCalc)` Computes (and stores) the estimated size of the cache Value
    `abstract java.lang.Class` | `getCacheType()`
    `abstract java.lang.Object` | `getCustom()`
    `java.lang.String` | `getEstimatedSize()` The most recently estimated size of the value, null unless estimateSize has been called.
    `abstract java.lang.String` | `getFieldName()`
    `abstract java.lang.Object` | `getReaderKey()`
    `abstract java.lang.Object` | `getValue()`
    `protected void` | `setEstimatedSize(java.lang.String size)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheEntry

          public CacheEntry()

  - ### Method Detail

    - #### getReaderKey

          public abstract java.lang.Object getReaderKey()

    - #### getFieldName

          public abstract java.lang.String getFieldName()

    - #### getCacheType

          public abstract java.lang.Class getCacheType()

    - #### getCustom

          public abstract java.lang.Object getCustom()

    - #### getValue

          public abstract java.lang.Object getValue()

    - #### setEstimatedSize

          protected final void setEstimatedSize(java.lang.String size)

    - #### estimateSize

          public void estimateSize()

      See Also:
        `estimateSize(RamUsageEstimator)`

    - #### estimateSize

          public void estimateSize(RamUsageEstimator ramCalc)

      Computes (and stores) the estimated size of the cache Value
      See Also:
        `getEstimatedSize()`

    - #### getEstimatedSize

          public final java.lang.String getEstimatedSize()

      The most recently estimated size of the value, null unless estimateSize has been called.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.